
Redmine - Defect #8924

Problem with upload file (upload with size zero)

2011-07-27 22:17 - Rodrigo Guerrero

Status: Closed Start date: 2011-07-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

When I upload one file, upload without problem (show me ok and show me in the issue's page the file like if should upload ok).

But when I going to folder: "files" the file have size zero.

Versions:

Redmine version: 1.2.1.devel.6316

Database version: MySql 5.0.51a-3ubuntu5.5

Ruby version: ruby 1.8.7 (2009-12-24 patchlevel 248) [i686-linux], MBARI 0x8770, Ruby Enterprise Edition 2010.01

Rails version: rails-2.3.11

I don't have plugins install

Thanks

Related issues:

Is duplicate of Redmine - Defect #8912: File attachments 0-bytes after revisi... Closed 2011-07-27

History

#1 - 2011-07-29 12:50 - Ethan Fremen

I have this problem as well, git head today.

#2 - 2011-07-29 13:25 - Ethan Fremen

So far I can confirm the file is uploaded correctly to the system /tmp dir .

The production log correctly references the /tmp/ filename in the "PUT".

The filename is created in /files but has 0 length.

#3 - 2011-07-29 14:18 - Ethan Fremen

Ok, I added a line to attachment.rb 's before_save to see what was going on. It appears that the file is written twice, and the second time it fails:

saving '/var/www/redmine/files/110729115834_logo.png'

wrote file of size 3479

Attachment Create (0.4ms)   INSERT INTO `attachments` (`disk_filename`, `content_type`, `downloads`, `created_on`, `container_id`,

`container_type`, `digest`, `filename`, `filesize`, `author_id`, `description`) VALUES

saving '/var/www/redmine/files/110729115834_logo.png'

wrote file of size 0

When I back out the change to attachments.rb r6312:

http://www.redmine.org/projects/redmine/repository/revisions/6312/diff/trunk/app/models/attachment.rb 

the file is correctly created, but still reports a 0 length file in the UI.

 That's as far as I can go to fixing this today.

#4 - 2011-07-29 17:32 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

2025-05-01 1/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/6312
http://www.redmine.org/projects/redmine/repository/revisions/6312/diff/trunk/app/models/attachment.rb


Same as #8912 and fixed in r6320. Thanks for digging into it.
